Questions tagged [php-5.6]

Marks questions related to Magento on php 5.6

Filter by
Sorted by
Tagged with
0
votes
1answer
26 views

Bypassing the different server PHP versions to install extensions

My SSH version is 5.4 but my server version is 7.1. i used composer install --ignore-platform-reqs to bypass the errors and install Magento 2.3 but now i want to install extensions using bin/...
1
vote
1answer
671 views

PHP Startup: Unable to load dynamic library - The specified module could not be found

I am using WampServer 3.1.0 and PHP version 5.6.31 in windows, i am getting an error like, php_error : [06-Dec-2018 10:13:17 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'c:/...
0
votes
2answers
35 views

Magento / CSV import - products aren't visible in shop

I need to import products from CSV file and I used the option to import products with images form CSV file. The import was done without any problem/errors. I have all products imported in admin panel, ...
0
votes
1answer
963 views

Magento 2 : get second level categories of parent category except default category by using block?

Like we have Women category 1.Women 1.1 Tops 1.2.Bottoms I want to display Women and 2nd level of that category. which libraries used to get subcategory? My requirement is :
0
votes
1answer
326 views

How to use php version according to magento version?

I have php 5.6 & php 7.0.3 on the server. I am upgrading the website magento 1.9.2.4 to magento 1.9.3.9 which is showing me an error of php version. CONNECT ERROR: Package community/...
0
votes
0answers
52 views

Email not working Magento Community version 1.9.3.8

My store is developed in 1.9.3.8 and none of the emails working like: Order confirmation email, Contact us mail, new registration mail, forget password mail. I tried sending through the admin panel ...
1
vote
1answer
3k views

Magento supports PHP 7.0.2, 7.0.4, and 7.0.6 or later error on php 5.6 using system

I am using magento 2.2.3 and php vesion is 5.6.3. After running the project It gives error "Magento supports PHP 7.0.2, 7.0.4, and 7.0.6 or later. Please read Magento System Requirements." Magento ...
0
votes
1answer
112 views

Unable to install magento 1.4 on xammp with PHP Version 5.6.34?

On installing magento 1.4 on localhost i am getting an error as shown below and there is back end message generate for this #406715812 error : a:5:{i:0;s:160:"Deprecated functionality: ...
0
votes
1answer
243 views

How to configure Magento 1.9 Cron Job to run on a Windows Server 2016?

I would like to set the Cron Job to allow Magento to send emails after new orders from customers. I tried running Magento Cron Job on Windows Task Scheduler with the script from wget.exe and an ...
0
votes
1answer
58 views

Checking Multiple Attributes for specific value [duplicate]

Hi we're trying to check the value of multiple custom attributes before showing some text... I have made sure that each attribute is set with the option "Visible on Product View Page on Front-end" set ...
0
votes
3answers
80 views

How to save any text in capital letter entered by user in the form , user have access to enter any way?

Here is the input field where the user is entering the data: <input type="text" name="nickname" id="nickname_field" class="input-text required-entry" placeholder="<?php echo $this->__(...
16
votes
0answers
486 views

Create new Magento Rest API to get category list in Magento 1.9

I am very confused about what kind of error I am doing to follow these steps provided here at the following link : Create new Magento Rest API to get category list in Magento After doing all ...
1
vote
1answer
402 views

Javascript files adding root path to links

I have created an instance on AWS and installed a LAMP stack on it as per their tutorials and installed an existing magento site on to it. I pointed my local hosts file at the new server, cleared the ...
1
vote
1answer
375 views

http://myurl/api/rest/categories is not working

I want to get category tree in magento 1.9 using REST API using this code http://myurl/api/rest/categories but i am getting error 404. Please help me in to get over this error
0
votes
3answers
565 views

autoload error in magento2 on local host

I am getting following error during install magento2 on local server. using php v 5.6
2
votes
2answers
164 views

Migration error Magento 1.9.3.2 to 2.1.8

I have Migrated from Magento ver 1.9.3.2 to Magento ver 2.1.8 successfully using Data Migration tool. In admin, catalogs and customers showing fine on grid but after clicked on it showing below ...
0
votes
4answers
740 views

404 on every page, fresh install

I'll start off with saying that I am new to Magento. After installing Magento I only receive 404's. There is no styling either. I can't access the admin panel or anything, I just see "whoops, our bad.....
3
votes
1answer
3k views

How To Increase frontend session timeout to 10 day In Magento

I am trying to increase session time out limit to 10 days in magento for non logged in customer but it is expiring before may be witthin 1 days. I went to System->Configuration->Web->Session ...
0
votes
1answer
334 views

Magento 1.7 on php5.6

I'm running Magento 1.7 on php6.5, which was previously on php5.3. First problem, Deprecated functionality: iconv_set_encoding(), was solved with this: Magento 1.9, php 5.6 - Use of iconv....
1
vote
1answer
38 views

Call a function in different directories

I want to change the numbers format in magento1.9 with call the function like and call it in different directories like app\design\frontend\ves_arcana\default\template\catalog\product\price.phtml ...
1
vote
1answer
866 views

Changed PHP 5.6 to PHP 7 with Magento 1.9

I changed the version of PHP [5.6.30] to PHP [7.0.17]. But now Magento 1.9.2.1 returns the following error: SQLSTATE[HY000] [2054] The server requested authentication method unknown to the client I ...
1
vote
3answers
164 views

PHP errors on Magento Server [duplicate]

I have a Magento e-commerce with 60.000+ products. Every night some crons are executed for the synchronization of the catalog with the management tool. During the night I found two types of errors ...
0
votes
1answer
1k views

Is Magento 1.7.0.2. compatible with PHP 5.6

I now have to upgrade PHP from version 5.4.45 to 5.6. and I have 2 magento sites running on it. What compatibility problems should I expect if any?
0
votes
0answers
566 views

Magento controller action return gateway timeout error

I have created a controller action in my custom module controller class, there is a loop of all products to do some functionality, but after 5 minutes it return 504 gateway timeout error. For this I ...
0
votes
1answer
1k views

Magento 1.9.0.1 compatible with PHP 5.6.5 and MySQL 5.6

Is it possible to use Magento-1.9.0.1 with PHP 5.6.5 and MySQL 5.6?
2
votes
2answers
588 views

Magento 2 getting error: ( ! ) Parse error: syntax error, unexpected 'T_PAAMAYIM_NEKUDOTAYIM' (T_STRING), expecting ')'

While installing custom module at server i'm getting this error at frontend. My php version at server is 5.6. But same module at my localhost with php 7.0 version is working fine. I'm not able to ...
1
vote
1answer
59 views

Unexplained PHP errror after upgrading to PHP 5.6.27

Running Magento 1.9.x Anyone seen this before? I just installed PHP 5.6.27 to CentOS 7 and while I can successfully execute workbench PHP scripts, Magento is freaking out about things. I increased ...
3
votes
0answers
475 views

Trying to do a Fresh installation of the magento 2.0

After enabling the local.xml in the pub folder I got the below error Missing required argument $routerList of Magento\Framework\App\RouterList. I tried everything which is mentioned in the link in ...
1
vote
0answers
463 views

Magento-Gmail SMTP giving TLS error

I have installed SMTP Pro extension in my site. I am using Gmail server to send mails. On doing Run test, I am getting the following error message. SMTP Pro Self Test Results Sending test email to ...
0
votes
1answer
248 views

Magento 2.1 PHP version suggestion

I recently got a project in Magento 2.1 CE (from scratch). Although the officially recommended of PHP is 5.6, I am more inclined to go with PHP7. I was looking for a Pros and Cons list of going with ...
1
vote
1answer
1k views

Cron.sh error: PHP Fatal error: Uncaught exception 'Zend_Db_Adapter_Exception' with message 'pdo_mysql extension is not installed'

The problem occurs in a Magento 1.9.2.4 installation (upgraded from 1.7.2 and then migrated to this new VPS) Trying to run the cron.sh on a centos VPS (DirectAdmin Controlpanel) This is returns the ...
0
votes
1answer
2k views

Which file should be modified/created to enable OPcache? [duplicate]

Magento strongly recommends PHP OPcache is enabled for performance reasons. PHP 5.6 with Zend OPcache is installed on my server but i dont know which file should be modified to enable OPcache features....
1
vote
1answer
102 views

Why can magento behat test not find my database?

The shop runs on my dev system with MAMP Pro without a problem. But when I call bin/behat to execute my tests, I get this error: test.dev bin/behat [Zend_Db_Adapter_Exception] ...
0
votes
0answers
478 views

Deprecated functionality: preg_replace()

Trying my instance of Magento on PHP 5.6 because my host is upgrading the server and everything seems to work well besides from this error message. Deprecated functionality: preg_replace(): The /e ...
2
votes
3answers
2k views

Magento 2 Won't install on AMPPS

I'm trying to install Magento 2 on AMPPS locally, I read the requirement here ,All the requirement is installed but Magento installer still give me an error without details : Environment : PHP 5.6....
2
votes
3answers
6k views

Magento SMTP TLS error

I cant for the life of me figure out what the issue is with Magento using SMTP Pro connecting to gmail in google apps to send email from the site to customers. HTTPS on the site works if that makes ...
0
votes
1answer
1k views

Magento 1.7.0.2 on PHP 5.6 is not loading

I am trying to upgrade my PHP version to 5.6.1 to get PCI DSS compliance certificate. We compiled and enabled 5.6.1 on server and used it with an ApplicationHandler in .htaccess file. On the same ...
43
votes
9answers
43k views

Magento 1.9, php 5.6 - Use of iconv.internal_encoding is deprecated

Have the same with Magento CE 1.8 and 1.9 After update php from 5.5.16 to 5.6.0 on my VPS I got this 2 errors in [magento]/var/log/system.log: ERR (3): Deprecated functionality: iconv_set_encoding():...